﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;


// a very simple script to make a G-above-middle-C 'beep' on startup

public class beep : MonoBehaviour {
    int objno = 0;
    rtcmixmain RTcmix;
    private bool did_start = false;

    String score;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start ()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        score = "table = maketable(\"line\", 1000, 0,0, 50,1, 100,0) " +
            "freq = irand(700, 1200) " +
            "panval = irand(0, 1) " +
            "WAVETABLE(0, 7, 10000 * table, freq, panval) " +
            "MAXBANG(1) ";

        // send a note using the WAVETABLE() instrument
        RTcmix.SendScore(score, objno);

        did_start = true;
    }
	

	// Update is called once per frame
	void Update ()
    {		
	}


    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0);

        if(RTcmix.checkbangRTcmix(objno) == 1)
        {
            // send a note using the WAVETABLE() instrument
            RTcmix.SendScore(score, objno);
        }
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
